@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@700&display=swap');

.headerMain {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    font-family: 'Roboto', sans-serif;
    max-width: 70%;
    margin-left: 15%;
    margin-right: 15%;
}

.inscriptionMain {
    display: flex;
   margin-bottom: -30px;
}

h1 { 
    display: flex;
    font-size: 7vw;
    color: green;
}

.subheadingMain {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    align-content: center;
    flex-wrap: wrap;
    font-size: 3.5vw;
    color: #5F9EA0;
}

.containerImageMainPage {
    display: flex;
    justify-content: start;
    max-width:  90%;
    margin-left: 5%;
    margin-right: 5%;
    gap: 2%;
    flex-wrap: wrap;  
}

 .linkMainPage {
    display: flex;
    width: 32%;
    max-height: 580px;
    margin-bottom: 20px;
}

.mainPage {
    display: flex;
    width: 100%;
    max-height: 580px;
}

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 200px;
  position: relative;
  height: 40px;
  overflow: hidden;
  margin: 10px auto 0;
  
}

.pagination {
  display: flex;
  position: absolute;
  top: 10px;
  left: 0;
  justify-content: start;
  height: 20px;
}

.onepage {
  display: flex;
  justify-content: center;
  width: 40px;
  padding: 2px;
  text-decoration: none;
  box-sizing: border-box;
  color: green;
}

.btnContainer {
  display: flex;
  justify-content: space-around;
  width: 200px;
  margin: 10px auto 10px;
}


.currentColor {
    color: blue;
    font-weight: bold;
}


/* стили слайдера */


 .containerSlider {
    background: lightgray; 
    position: relative;
    width: 320px;
    margin: 50px auto 0 auto;
    margin-bottom: 500px;
    perspective: 1000px;
  }
  
  .carousel {
    position: absolute;
    width: 100%;
    height: 100%;
    transform-style: preserve-3d; 
    animation: rotate360 60s infinite forwards linear;
  }
  .carousel__face { 
    position: absolute;
    width: 300px;
    height: 187px;
    top: 20px;
    left: 10px;
    right: 10px;
    background-size: cover;
    box-shadow:inset 0 0 0 2000px rgba(0,0,0,0.5);
    display: flex;
  }
  
  span {
    margin: auto;
    font-size: 2rem;
  }
  
  
  .carousel__face:nth-child(1) {
    background-image: url("/../imgforslider/Безымянный.webp");
    transform: rotateY(  0deg) translateZ(430px); }
  .carousel__face:nth-child(2) { 
    background-image:url("/../imgforslider/Безымянный2.webp");
      transform: rotateY( 40deg) translateZ(430px); }
  .carousel__face:nth-child(3) {
    background-image: url("/../imgforslider/Безымянный3.webp");
    transform: rotateY( 80deg) translateZ(430px); }
  .carousel__face:nth-child(4) {
    background-image: url("/../imgforslider/Безымянный4.webp");
    transform: rotateY(120deg) translateZ(430px); }
  .carousel__face:nth-child(5) { 
    background-image: url("/../imgforslider/Безымянный5.webp");
   transform: rotateY(160deg) translateZ(430px); }
  .carousel__face:nth-child(6) { 
    background-image: url("/../imgforslider/Безымянный6.webp");
   transform: rotateY(200deg) translateZ(430px); }
  .carousel__face:nth-child(7) { 
    background-image:url("/../imgforslider/Безымянный7.webp");
   transform: rotateY(240deg) translateZ(430px); }
  .carousel__face:nth-child(8) {
    background-image: url("/../imgforslider/Безымянный8.webp");
    transform: rotateY(280deg) translateZ(430px); }
  .carousel__face:nth-child(9) {
    background-image: url("/../imgforslider/Безымянный9.webp");
    transform: rotateY(320deg) translateZ(430px); }
  
  

@media (max-width: 900px) {
  .containerSlider {
      width:300px;
  }
.carousel__face { 
    
    width: 280px;
}
}

  
@media (max-width: 600px) {
  .containerSlider {
      width:260px;
  }
.carousel__face { 
    
    width: 240px;
}
}


  @keyframes rotate360 {
    from {
      transform: rotateY(0deg);
    }
    to {
      transform: rotateY(-360deg);
    }
  }
  

/* конец стилей слайдера */


.img-fluid {
     transition: 0.5s;
}

.img-fluid:hover {
  transform: scale(2.3);
}
@media (min-width: 1400px) {
    .containerImageMainPage {
        width: 1400px;
        margin: 0 auto;
    }
}

@media (max-width: 900px) {
    h1 {
        font-size: 10vw;
    }
    .headerMain {
    max-width: 90%;
    margin-left: 5%;
    margin-right: 5%; 
    }
.linkMainPage {
    width: 48%;
}

}

@media (max-width: 700px) {
   
.linkMainPage {
    width: 96%;
    max-height: 750px ;
}
.mainPage {
    max-height: 750px;
}

  .img-fluid {
transform:  none !important;
   
}

}

.activePage {
    border-top: 1px solid green;
}

